# Uses of Interface
org.springframework.util.ReflectionUtils.MethodFilter

Packages that use ReflectionUtils.MethodFilter
Package
Description
org.springframework.core
Provides basic classes for exception handling and version detection, and other core helpers that are not specific to any part of the framework.
org.springframework.util
Miscellaneous utility classes, such as utilities for working with strings, classes, collections, reflection, etc.

## Uses of ReflectionUtils.MethodFilter in org.springframework.core

Methods in org.springframework.core with parameters of type ReflectionUtils.MethodFilter
Modifier and Type
Method
Description
`static Set<Method>`
MethodIntrospector.`selectMethods(Class<?> targetType, ReflectionUtils.MethodFilter methodFilter)`
Select methods on the given target type based on a filter.

## Uses of ReflectionUtils.MethodFilter in org.springframework.util

Fields in org.springframework.util declared as ReflectionUtils.MethodFilter
Modifier and Type
Field
Description
`static final ReflectionUtils.MethodFilter`
ReflectionUtils.`USER_DECLARED_METHODS`
Pre-built `ReflectionUtils.MethodFilter` that matches all non-bridge non-synthetic methods which are not declared on `java.lang.Object`.
Methods in org.springframework.util that return ReflectionUtils.MethodFilter
Modifier and Type
Method
Description
`default ReflectionUtils.MethodFilter`
ReflectionUtils.MethodFilter.`and(ReflectionUtils.MethodFilter next)`
Create a composite filter based on this filter and the provided filter.
Methods in org.springframework.util with parameters of type ReflectionUtils.MethodFilter
Modifier and Type
Method
Description
`default ReflectionUtils.MethodFilter`
ReflectionUtils.MethodFilter.`and(ReflectionUtils.MethodFilter next)`
Create a composite filter based on this filter and the provided filter.
`static void`
ReflectionUtils.`doWithMethods(Class<?> clazz, ReflectionUtils.MethodCallback mc, ReflectionUtils.MethodFilter mf)`
Perform the given callback operation on all matching methods of the given class and superclasses (or given interface and super-interfaces).
`static Method[]`
ReflectionUtils.`getUniqueDeclaredMethods(Class<?> leafClass, ReflectionUtils.MethodFilter mf)`
Get the unique set of declared methods on the leaf class and all superclasses.